package ru.loparev.session1

import retrofit2.Call
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.Headers
import retrofit2.http.POST
import ru.loparev.session1.models.Bankomat
import ru.loparev.session1.models.LoginModel
import ru.loparev.session1.models.LoginResponseTokenModel
import ru.loparev.session1.models.Valuta

//Настройка ретрофит для получения курса валют
interface JsonPlaceHolderAPI {
    @get:GET("daily_json.js")
    val course:Call<Valuta>
}
//Настройка для получения банкоматов
interface GetBankomatsAPI {
    @get:GET("mobile/bankomats")
    val course:Call<Bankomat>
}
//Настройка ретрофит для получения токена
interface  GetTokenAPI{
    @Headers("Content-Type: application/json;charset=UTF-8")
    @POST("mobile/login")
    fun login(@Body value: LoginModel): Call<LoginResponseTokenModel>
}